﻿using UnityEngine;
using System;
using System.Collections;

public class AssetBundleManager : MonoBehaviour
{
    private AssetBundle assetBundleCache;

    public IEnumerator LoadAssetBundleCoroutine()
    {
        while (!Caching.ready)
            yield return null;

        var url = "";
#if UNITY_ANDROID
        url = "http://127.0.0.1:8080/imagebox.unity3d";
#else
#endif

        var www = WWW.LoadFromCacheOrDownload(url, 1);
        while (!www.isDone)
        {
            yield return null;
        }

        assetBundleCache = www.assetBundle;
        www.Dispose();
    }

    public Sprite GetSpriteFromAssetBundle(string assetName)
    {
        try
        {
            return assetBundleCache.LoadAsset<Sprite>(string.Format("{0}.png", assetName));
        }
        catch (NullReferenceException e)
        {
            Debug.Log(e.ToString());
            return null;
        }
    }
}